Ticket #293 (closed feature: wontfix)

Opened 10 years ago

Last modified 8 years ago

[Patch] Include API documentation in install

Reported by: oget Assigned to:
Priority: trivial Milestone:
Component: generic Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to:

Description

When I was packaging libffado for Fedora, I wanted the build the API docs. However, this is not enabled by default. If I add a line to SConstruct to install the docs, all of the source documentation, not just for the library is generated. The patch strips those out and leaves the library API documentation only.

This might be improved by adding a scons option. But I leave this to developers.

Attachments

libffado-api-doc-only.patch (1.2 kB) - added by oget on 07/14/10 12:59:35.
build and install api doc only

Change History

07/14/10 12:59:35 changed by oget

  • attachment libffado-api-doc-only.patch added.

build and install api doc only

07/21/10 10:15:38 changed by adi

  • summary changed from Include API documentation in install to [Patch] Include API documentation in install.

Given that there is only one user of libffado, namely jackd, probably no non-FFADO-dev would ever want to consult this API documentation. ;)

03/29/12 06:54:40 changed by jwoithe

How do we want to proceed with this? The request sounds reasonable (even though, as Adi says, the only external user of libffado is jack), but an scons option would be the way to go I think. I'm no scons expert and would probably prefer to defer to those more experienced with scons for an implementation.

What is the general consensus here? Is it worth it?

04/27/12 06:54:10 changed by jwoithe

  • status changed from new to closed.
  • resolution set to wontfix.

There has been no further comment on this in a month. I'm therefore assuming that no one feels that adding scons support to enable generation of only the API documentation is worth the effort. Please re-open this ticket if a reconsideration becomes necessary in light of future requirements.